package cn.com.ctop.finance.payment.mapper;

import cn.com.ctop.finance.payment.entity.FinancePaymentApplication;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 申请垫款表
 *
 * @author jeecg-boot
 * 2023-04-11
 * @version V1.0
 */
public interface FinancePaymentApplicationMapper extends BaseMapper<FinancePaymentApplication> {

    List<JSONObject> getAdvertisers(String mediaType);

    List<JSONObject> getProductByAdvertiserIds(@Param("advertiserIds") List<String> advertiserIds);

    List<FinancePaymentApplication> queryPoolInfo(@Param("advertiserId") String advertiserId, @Param("productId") String productId, @Param("type") String type);

    List<JSONObject> queryAuditProcess(@Param("id") Long id);

    FinancePaymentApplication queryInfo(String advertiserId, String productId, String type);

    JSONObject queryCwjsPolicyInfo(String advertiserName, String productName, String type);
}
